# How to contribute

WebDevStudios loves third-party contributions. Whether it is fixing a typo, or translating the entire plugin into a new language, no contribution is too small or insignificant. We want to keep it as easy as possible to contribute changes to our plugin. There are a few guidelines that we need contributors to follow so that we have a chance of keeping on top of things.

## Getting Started

* Make sure you have a [GitHub account](https://github.com/signup/free).
* Submit a ticket for your issue, assuming one does not already exist.
  * Clearly describe the issue including steps to reproduce when it is a bug.
  * Make sure you fill in the earliest version that you know has the issue.
* Fork the repository on GitHub.

## Making Changes

* Create a topic branch from where you want to base your work.
  * This is usually the branch for the next major release.
  * To quickly create a topic branch based on the next major version: `git checkout -b
    fix/master/my_contribution master`. Please avoid working directly on the
    `master` branch.
* Make commits of logical units.
* Check for unnecessary whitespace with `git diff --check` before committing.
* Make sure your commit messages are informative of what was fixed and why it was needed.

## Submitting Changes

* Push your changes to a topic branch in your fork of the repository.
* Submit a pull request to the repository from WebDevStudios.
* WebDevStudios will review the changes and post any questions or concerns we have. If no issues are present, we will accept and merge in the pull request.
* If feedback has been given, we appreciate response to the feedback as soon as possible. Delay in response will lead to delay in acceptance of changes.

# Additional Resources
* [General GitHub documentation](https://help.github.com/)
* [GitHub pull request documentation](https://help.github.com/send-pull-requests/)

## WordPress.org support forums
* [Custom Post Type UI](https://www.wordpress.org/support/plugin/custom-post-type-ui/)

## Twitter
* [Michael's Twitter](https://www.twitter.com/tw2113/)
* [WebDevStudios' Twitter](https://www.twitter.com/webdevstudios/)
* [Brad's Twitter](https://www.twitter.com/williamsba/)
